Package org.kapott.hbci.sepa.jaxb.camt_052_001_05

## Class AccountIdentification4Choice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_05.AccountIdentification4Choice

    public class AccountIdentification4Choice
    extends java.lang.Object

Java class for AccountIdentification4Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AccountIdentification4Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="IBAN" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}IBAN2007Identifier"/>
             <element name="Othr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}GenericAccountIdentification1"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `iban`
`protected GenericAccountIdentification1` `othr`

### Constructor Summary

Constructors
`AccountIdentification4Choice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getIBAN()` Gets the value of the iban property.
`GenericAccountIdentification1` `getOthr()` Gets the value of the othr property.
`void` `setIBAN​(java.lang.String value)` Sets the value of the iban property.
`void` `setOthr​(GenericAccountIdentification1 value)` Sets the value of the othr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### iban

    protected java.lang.String iban

#### othr

    protected GenericAccountIdentification1 othr

### Constructor Detail

#### AccountIdentification4Choice

    public AccountIdentification4Choice()

### Method Detail

#### getIBAN

    public java.lang.String getIBAN()

Gets the value of the iban property.

Returns:
  possible object is `String`

#### setIBAN

    public void setIBAN​(java.lang.String value)

Sets the value of the iban property.

Parameters:
  `value` - allowed object is `String`

#### getOthr

    public GenericAccountIdentification1 getOthr()

Gets the value of the othr property.

Returns:
  possible object is `GenericAccountIdentification1`

#### setOthr

    public void setOthr​(GenericAccountIdentification1 value)

Sets the value of the othr property.

Parameters:
  `value` - allowed object is `GenericAccountIdentification1`